# -*- mode: rpm-spec; coding: utf-8 -*-
%define cid	\{8b86149f-01fb-4842-9dd8-4d7eb02fd055\}
%define ciddir  %firefox_extensionsdir/%cid
%define sversion 013

Name: firefox-allinonegestures
Version: 0.13.4
Release: alt1.M24.1

Summary: A Firefox extension that includes mouse gestures, and other advanced navigation techniques
Summary(ru_RU.UTF-8): Расширение Firefox, включающее "жесты" мышью и другие передовые возможности навигации
License: MPL-1.1/GPL-2.0+/LGPL-2.1+
Group: Networking/WWW
Url: http://perso.wanadoo.fr/marc.boullet/ext/extensions-en.html
BuildPreReq:	firefox-devel unzip
BuildArch:	noarch
Requires: %firefox_name >= %firefox_version
Conflicts: %firefox_name-mozgest

# I don't yet know how to specify that we need zip to properly _install_ the package.
Requires(post): zip

Source0: allinonegest%sversion.xpi

%description
All-In-One Gestures is a Firefox extension that includes several others
navigation extensions:

   1. Mouse Gestures by Optimoz group

   2. Rocker navigation by Ted Mielczarek, Optimoz and Mark Boullet

   3. Tab scroller by Joe4711

   4. History scroller by mozzmike

   5. Link tooltip by Marc Bouller

   6. Autoscrolling by skidooer

%description -l ru_RU.UTF-8
Жесты "Все-в-одном" - это расширение для браузера Firefox, которое
включает в себя несколько других расширений, реализующих передовые
идеи в управлении поведением браузера:

   1. "Жесты" мышью от группы Optimoz
  
   2. Навигацию "качалкой" от Ted Mielczarek, Optimoz и Mark Boullet

   3. Прокрутку вкладок от Joe4711

   4. Прокрутку истории от mozzmike

   5. Подсказки для ссылок от Mark Boullet

   6. Автопрокрутка от skidooer

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 0.13.4-alt1.M24.1
- backport to Master-2.4.

* Thu Mar 10 2005 Alexey Gladkov <legion@altlinux.ru> 0.13.4-alt2
- spec modification;
- postscript bugfix;

* Wed Mar  9 2005 Alexey Morozov <morozov@altlinux.org> 0.13.4-alt1
- New version (0.13.4)
- Spec is adopted to new firefox plugins macros

* Fri Oct 29 2004 Alexey Morozov <morozov@altlinux.org> 0.12.5-alt1
- Initial build for ALT Linux


